using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

using BookCommunityClient.AuthWS;
using BookCommunityClient.DataWS;

using System.Data;

namespace BookCommunityClient
{
	/// <summary>
	/// BookDetailFrm 的摘要说明。
	/// </summary>
	public class BookDetailFrm : System.Windows.Forms.Form
	{
		private System.ComponentModel.IContainer components;
		private System.Windows.Forms.TabControl tbcMain_BookDetail;
		private System.Windows.Forms.TabPage tbpGeneral_BookDetail;
		private System.Windows.Forms.Label label14;
		private System.Windows.Forms.LinkLabel llbOwner_BookDetail;
		private System.Windows.Forms.Label label13;
		private System.Windows.Forms.PictureBox pbxCoverPage_BookDetail;
		private System.Windows.Forms.Button button1;
		private System.Windows.Forms.Label label11;
		private System.Windows.Forms.Label lblPress_BookDetail;
		private System.Windows.Forms.Label label23;
		private System.Windows.Forms.Label label24;
		private System.Windows.Forms.Label label25;
		private System.Windows.Forms.Label lblBookNameChn_BookDetail;
		private System.Windows.Forms.Label lblBookNameEng_BookDetail;
		private System.Windows.Forms.Label lblAuthor_BookDetail;
		private System.Windows.Forms.Label lblTranslator_BookDetail;
		private System.Windows.Forms.Label label20;
		private System.Windows.Forms.Label label12;
		private System.Windows.Forms.Label lblISBN_BookDetail;
		private System.Windows.Forms.Label lblStatus_BookDetail;
		private System.Windows.Forms.Label label16;
		private System.Windows.Forms.TabPage tbpSummary_BookDetail;
		private System.Windows.Forms.TabPage tpIndex_BookDetail;
		private System.Windows.Forms.ToolBar tbrMain;
		private System.Windows.Forms.ToolBarButton tbbCancel;
		private System.Windows.Forms.ToolBarButton tbbRequest;

		#region 自定义字段
		private MainFrm frmMain;
		private System.Windows.Forms.RichTextBox rtbSummary_BookDetail;
		private System.Windows.Forms.RichTextBox rtbIndex_BookDetail;
		internal System.Windows.Forms.ImageList ilToolbar;
		private int CurrentSelectedID;
		#endregion

		#region 窗体创建与销毁
		public BookDetailFrm(MainFrm form, int id)
		{
			//
			// Windows 窗体设计器支持所必需的
			//
			InitializeComponent();

			//
			// TODO: 在 InitializeComponent 调用后添加任何构造函数代码
			//
			this.frmMain = form;

			CurrentSelectedID = id;
		}

		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows 窗体设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(BookDetailFrm));
			this.tbcMain_BookDetail = new System.Windows.Forms.TabControl();
			this.tbpGeneral_BookDetail = new System.Windows.Forms.TabPage();
			this.label14 = new System.Windows.Forms.Label();
			this.llbOwner_BookDetail = new System.Windows.Forms.LinkLabel();
			this.label13 = new System.Windows.Forms.Label();
			this.pbxCoverPage_BookDetail = new System.Windows.Forms.PictureBox();
			this.button1 = new System.Windows.Forms.Button();
			this.label11 = new System.Windows.Forms.Label();
			this.lblPress_BookDetail = new System.Windows.Forms.Label();
			this.label23 = new System.Windows.Forms.Label();
			this.label24 = new System.Windows.Forms.Label();
			this.label25 = new System.Windows.Forms.Label();
			this.lblBookNameChn_BookDetail = new System.Windows.Forms.Label();
			this.lblBookNameEng_BookDetail = new System.Windows.Forms.Label();
			this.lblAuthor_BookDetail = new System.Windows.Forms.Label();
			this.lblTranslator_BookDetail = new System.Windows.Forms.Label();
			this.label20 = new System.Windows.Forms.Label();
			this.label12 = new System.Windows.Forms.Label();
			this.lblISBN_BookDetail = new System.Windows.Forms.Label();
			this.lblStatus_BookDetail = new System.Windows.Forms.Label();
			this.label16 = new System.Windows.Forms.Label();
			this.tbpSummary_BookDetail = new System.Windows.Forms.TabPage();
			this.rtbSummary_BookDetail = new System.Windows.Forms.RichTextBox();
			this.tpIndex_BookDetail = new System.Windows.Forms.TabPage();
			this.rtbIndex_BookDetail = new System.Windows.Forms.RichTextBox();
			this.tbrMain = new System.Windows.Forms.ToolBar();
			this.tbbRequest = new System.Windows.Forms.ToolBarButton();
			this.tbbCancel = new System.Windows.Forms.ToolBarButton();
			this.ilToolbar = new System.Windows.Forms.ImageList(this.components);
			this.tbcMain_BookDetail.SuspendLayout();
			this.tbpGeneral_BookDetail.SuspendLayout();
			this.tbpSummary_BookDetail.SuspendLayout();
			this.tpIndex_BookDetail.SuspendLayout();
			this.SuspendLayout();
			// 
			// tbcMain_BookDetail
			// 
			this.tbcMain_BookDetail.Controls.Add(this.tbpGeneral_BookDetail);
			this.tbcMain_BookDetail.Controls.Add(this.tbpSummary_BookDetail);
			this.tbcMain_BookDetail.Controls.Add(this.tpIndex_BookDetail);
			this.tbcMain_BookDetail.Dock = System.Windows.Forms.DockStyle.Fill;
			this.tbcMain_BookDetail.Location = new System.Drawing.Point(0, 36);
			this.tbcMain_BookDetail.Name = "tbcMain_BookDetail";
			this.tbcMain_BookDetail.SelectedIndex = 0;
			this.tbcMain_BookDetail.Size = new System.Drawing.Size(592, 386);
			this.tbcMain_BookDetail.TabIndex = 1;
			// 
			// tbpGeneral_BookDetail
			// 
			this.tbpGeneral_BookDetail.Controls.Add(this.label14);
			this.tbpGeneral_BookDetail.Controls.Add(this.llbOwner_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.label13);
			this.tbpGeneral_BookDetail.Controls.Add(this.pbxCoverPage_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.button1);
			this.tbpGeneral_BookDetail.Controls.Add(this.label11);
			this.tbpGeneral_BookDetail.Controls.Add(this.lblPress_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.label23);
			this.tbpGeneral_BookDetail.Controls.Add(this.label24);
			this.tbpGeneral_BookDetail.Controls.Add(this.label25);
			this.tbpGeneral_BookDetail.Controls.Add(this.lblBookNameChn_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.lblBookNameEng_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.lblAuthor_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.lblTranslator_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.label20);
			this.tbpGeneral_BookDetail.Controls.Add(this.label12);
			this.tbpGeneral_BookDetail.Controls.Add(this.lblISBN_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.lblStatus_BookDetail);
			this.tbpGeneral_BookDetail.Controls.Add(this.label16);
			this.tbpGeneral_BookDetail.Location = new System.Drawing.Point(4, 21);
			this.tbpGeneral_BookDetail.Name = "tbpGeneral_BookDetail";
			this.tbpGeneral_BookDetail.Size = new System.Drawing.Size(584, 361);
			this.tbpGeneral_BookDetail.TabIndex = 0;
			this.tbpGeneral_BookDetail.Text = "常规";
			// 
			// label14
			// 
			this.label14.Location = new System.Drawing.Point(8, 152);
			this.label14.Name = "label14";
			this.label14.TabIndex = 77;
			this.label14.Text = "相关其他信息:";
			// 
			// llbOwner_BookDetail
			// 
			this.llbOwner_BookDetail.Location = new System.Drawing.Point(192, 124);
			this.llbOwner_BookDetail.Name = "llbOwner_BookDetail";
			this.llbOwner_BookDetail.Size = new System.Drawing.Size(160, 16);
			this.llbOwner_BookDetail.TabIndex = 76;
			this.llbOwner_BookDetail.TabStop = true;
			this.llbOwner_BookDetail.Text = "lblOwner_BookDetail";
			// 
			// label13
			// 
			this.label13.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label13.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label13.Location = new System.Drawing.Point(128, 124);
			this.label13.Name = "label13";
			this.label13.Size = new System.Drawing.Size(60, 17);
			this.label13.TabIndex = 74;
			this.label13.Text = "所有者:";
			this.label13.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// pbxCoverPage_BookDetail
			// 
			this.pbxCoverPage_BookDetail.Image = ((System.Drawing.Image)(resources.GetObject("pbxCoverPage_BookDetail.Image")));
			this.pbxCoverPage_BookDetail.Location = new System.Drawing.Point(12, 12);
			this.pbxCoverPage_BookDetail.Name = "pbxCoverPage_BookDetail";
			this.pbxCoverPage_BookDetail.Size = new System.Drawing.Size(88, 110);
			this.pbxCoverPage_BookDetail.TabIndex = 72;
			this.pbxCoverPage_BookDetail.TabStop = false;
			// 
			// button1
			// 
			this.button1.Enabled = false;
			this.button1.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.button1.Image = ((System.Drawing.Image)(resources.GetObject("button1.Image")));
			this.button1.Location = new System.Drawing.Point(4, 4);
			this.button1.Name = "button1";
			this.button1.Size = new System.Drawing.Size(104, 128);
			this.button1.TabIndex = 71;
			// 
			// label11
			// 
			this.label11.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label11.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label11.Location = new System.Drawing.Point(128, 84);
			this.label11.Name = "label11";
			this.label11.Size = new System.Drawing.Size(60, 17);
			this.label11.TabIndex = 68;
			this.label11.Text = "出版社:";
			this.label11.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblPress_BookDetail
			// 
			this.lblPress_BookDetail.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblPress_BookDetail.Location = new System.Drawing.Point(192, 84);
			this.lblPress_BookDetail.Name = "lblPress_BookDetail";
			this.lblPress_BookDetail.Size = new System.Drawing.Size(312, 16);
			this.lblPress_BookDetail.TabIndex = 69;
			this.lblPress_BookDetail.Text = "lblPress_BookDetail";
			this.lblPress_BookDetail.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label23
			// 
			this.label23.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label23.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label23.Location = new System.Drawing.Point(128, 64);
			this.label23.Name = "label23";
			this.label23.Size = new System.Drawing.Size(60, 17);
			this.label23.TabIndex = 60;
			this.label23.Text = "译者:";
			this.label23.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label24
			// 
			this.label24.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label24.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label24.Location = new System.Drawing.Point(128, 44);
			this.label24.Name = "label24";
			this.label24.Size = new System.Drawing.Size(60, 17);
			this.label24.TabIndex = 59;
			this.label24.Text = "作者:";
			this.label24.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label25
			// 
			this.label25.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label25.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label25.Location = new System.Drawing.Point(128, 24);
			this.label25.Name = "label25";
			this.label25.Size = new System.Drawing.Size(60, 17);
			this.label25.TabIndex = 66;
			this.label25.Text = "英文书名:";
			this.label25.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblBookNameChn_BookDetail
			// 
			this.lblBookNameChn_BookDetail.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblBookNameChn_BookDetail.Location = new System.Drawing.Point(192, 4);
			this.lblBookNameChn_BookDetail.Name = "lblBookNameChn_BookDetail";
			this.lblBookNameChn_BookDetail.Size = new System.Drawing.Size(312, 16);
			this.lblBookNameChn_BookDetail.TabIndex = 65;
			this.lblBookNameChn_BookDetail.Text = "lblBookNameChn_BookDetail";
			this.lblBookNameChn_BookDetail.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblBookNameEng_BookDetail
			// 
			this.lblBookNameEng_BookDetail.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblBookNameEng_BookDetail.Location = new System.Drawing.Point(192, 24);
			this.lblBookNameEng_BookDetail.Name = "lblBookNameEng_BookDetail";
			this.lblBookNameEng_BookDetail.Size = new System.Drawing.Size(312, 16);
			this.lblBookNameEng_BookDetail.TabIndex = 64;
			this.lblBookNameEng_BookDetail.Text = "lblBookNameEng_BookDetail";
			this.lblBookNameEng_BookDetail.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblAuthor_BookDetail
			// 
			this.lblAuthor_BookDetail.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblAuthor_BookDetail.Location = new System.Drawing.Point(192, 44);
			this.lblAuthor_BookDetail.Name = "lblAuthor_BookDetail";
			this.lblAuthor_BookDetail.Size = new System.Drawing.Size(312, 16);
			this.lblAuthor_BookDetail.TabIndex = 63;
			this.lblAuthor_BookDetail.Text = "lblAuthor_BookDetail";
			this.lblAuthor_BookDetail.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblTranslator_BookDetail
			// 
			this.lblTranslator_BookDetail.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblTranslator_BookDetail.Location = new System.Drawing.Point(192, 64);
			this.lblTranslator_BookDetail.Name = "lblTranslator_BookDetail";
			this.lblTranslator_BookDetail.Size = new System.Drawing.Size(312, 16);
			this.lblTranslator_BookDetail.TabIndex = 62;
			this.lblTranslator_BookDetail.Text = "lblTranslator_BookDetail";
			this.lblTranslator_BookDetail.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label20
			// 
			this.label20.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label20.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label20.Location = new System.Drawing.Point(128, 4);
			this.label20.Name = "label20";
			this.label20.Size = new System.Drawing.Size(64, 17);
			this.label20.TabIndex = 61;
			this.label20.Text = "中文书名:";
			this.label20.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label12
			// 
			this.label12.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label12.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label12.Location = new System.Drawing.Point(128, 104);
			this.label12.Name = "label12";
			this.label12.Size = new System.Drawing.Size(60, 17);
			this.label12.TabIndex = 67;
			this.label12.Text = "ISBN:";
			this.label12.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblISBN_BookDetail
			// 
			this.lblISBN_BookDetail.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblISBN_BookDetail.Location = new System.Drawing.Point(192, 104);
			this.lblISBN_BookDetail.Name = "lblISBN_BookDetail";
			this.lblISBN_BookDetail.Size = new System.Drawing.Size(312, 16);
			this.lblISBN_BookDetail.TabIndex = 70;
			this.lblISBN_BookDetail.Text = "lblISBN_BookDetail";
			this.lblISBN_BookDetail.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// lblStatus_BookDetail
			// 
			this.lblStatus_BookDetail.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.lblStatus_BookDetail.Location = new System.Drawing.Point(424, 124);
			this.lblStatus_BookDetail.Name = "lblStatus_BookDetail";
			this.lblStatus_BookDetail.Size = new System.Drawing.Size(176, 16);
			this.lblStatus_BookDetail.TabIndex = 75;
			this.lblStatus_BookDetail.Text = "lblStatus_BookDetail";
			this.lblStatus_BookDetail.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label16
			// 
			this.label16.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.label16.Font = new System.Drawing.Font("宋体", 9F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(134)));
			this.label16.Location = new System.Drawing.Point(360, 124);
			this.label16.Name = "label16";
			this.label16.Size = new System.Drawing.Size(60, 17);
			this.label16.TabIndex = 73;
			this.label16.Text = "当前状态:";
			this.label16.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// tbpSummary_BookDetail
			// 
			this.tbpSummary_BookDetail.Controls.Add(this.rtbSummary_BookDetail);
			this.tbpSummary_BookDetail.DockPadding.All = 4;
			this.tbpSummary_BookDetail.Location = new System.Drawing.Point(4, 21);
			this.tbpSummary_BookDetail.Name = "tbpSummary_BookDetail";
			this.tbpSummary_BookDetail.Size = new System.Drawing.Size(584, 369);
			this.tbpSummary_BookDetail.TabIndex = 1;
			this.tbpSummary_BookDetail.Text = "摘要";
			this.tbpSummary_BookDetail.Visible = false;
			// 
			// rtbSummary_BookDetail
			// 
			this.rtbSummary_BookDetail.Dock = System.Windows.Forms.DockStyle.Fill;
			this.rtbSummary_BookDetail.Location = new System.Drawing.Point(4, 4);
			this.rtbSummary_BookDetail.Name = "rtbSummary_BookDetail";
			this.rtbSummary_BookDetail.Size = new System.Drawing.Size(576, 361);
			this.rtbSummary_BookDetail.TabIndex = 1;
			this.rtbSummary_BookDetail.Text = "";
			// 
			// tpIndex_BookDetail
			// 
			this.tpIndex_BookDetail.Controls.Add(this.rtbIndex_BookDetail);
			this.tpIndex_BookDetail.DockPadding.All = 4;
			this.tpIndex_BookDetail.Location = new System.Drawing.Point(4, 21);
			this.tpIndex_BookDetail.Name = "tpIndex_BookDetail";
			this.tpIndex_BookDetail.Size = new System.Drawing.Size(584, 369);
			this.tpIndex_BookDetail.TabIndex = 2;
			this.tpIndex_BookDetail.Text = "目录";
			this.tpIndex_BookDetail.Visible = false;
			// 
			// rtbIndex_BookDetail
			// 
			this.rtbIndex_BookDetail.Dock = System.Windows.Forms.DockStyle.Fill;
			this.rtbIndex_BookDetail.Location = new System.Drawing.Point(4, 4);
			this.rtbIndex_BookDetail.Name = "rtbIndex_BookDetail";
			this.rtbIndex_BookDetail.Size = new System.Drawing.Size(576, 361);
			this.rtbIndex_BookDetail.TabIndex = 2;
			this.rtbIndex_BookDetail.Text = "";
			// 
			// tbrMain
			// 
			this.tbrMain.Appearance = System.Windows.Forms.ToolBarAppearance.Flat;
			this.tbrMain.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																					   this.tbbRequest,
																					   this.tbbCancel});
			this.tbrMain.ButtonSize = new System.Drawing.Size(53, 22);
			this.tbrMain.DropDownArrows = true;
			this.tbrMain.ImageList = this.ilToolbar;
			this.tbrMain.Location = new System.Drawing.Point(0, 0);
			this.tbrMain.Name = "tbrMain";
			this.tbrMain.ShowToolTips = true;
			this.tbrMain.Size = new System.Drawing.Size(592, 36);
			this.tbrMain.TabIndex = 6;
			this.tbrMain.TextAlign = System.Windows.Forms.ToolBarTextAlign.Right;
			this.tbrMain.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.tbrMain_ButtonClick);
			// 
			// tbbRequest
			// 
			this.tbbRequest.ImageIndex = 0;
			this.tbbRequest.Text = "申请借阅";
			// 
			// tbbCancel
			// 
			this.tbbCancel.ImageIndex = 1;
			this.tbbCancel.Text = "关闭";
			// 
			// ilToolbar
			// 
			this.ilToolbar.ColorDepth = System.Windows.Forms.ColorDepth.Depth24Bit;
			this.ilToolbar.ImageSize = new System.Drawing.Size(24, 24);
			this.ilToolbar.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ilToolbar.ImageStream")));
			this.ilToolbar.TransparentColor = System.Drawing.Color.White;
			// 
			// BookDetailFrm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(6, 14);
			this.ClientSize = new System.Drawing.Size(592, 422);
			this.Controls.Add(this.tbcMain_BookDetail);
			this.Controls.Add(this.tbrMain);
			this.Name = "BookDetailFrm";
			this.Text = "BookDetailFrm";
			this.Load += new System.EventHandler(this.BookDetailFrm_Load);
			this.tbcMain_BookDetail.ResumeLayout(false);
			this.tbpGeneral_BookDetail.ResumeLayout(false);
			this.tbpSummary_BookDetail.ResumeLayout(false);
			this.tpIndex_BookDetail.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion
		#endregion

		private void tbrMain_ButtonClick(object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
		{
			switch(this.tbrMain.Buttons.IndexOf(e.Button))
			{
				case 0://申请借阅
					//打开借阅向导
					RequestFrm frmRequest = new RequestFrm(this.frmMain);
					frmRequest.Show();
					break;
				case 1://关闭
					this.Close();
					break;
			}

		}

		private void BookDetailFrm_Load(object sender, System.EventArgs e)
		{
			DataSetBook.BOOK_INFORow row = this.frmMain.DsBook.BOOK_INFO.FindByID(this.CurrentSelectedID);
			if(row == null)
				return;//error!

			this.lblAuthor_BookDetail.Text = row.Author;
			this.lblBookNameChn_BookDetail.Text = row.BookNameChn;
			this.lblBookNameEng_BookDetail.Text = row.BookNameEng;
			this.lblISBN_BookDetail.Text = row.ISBN;
			this.lblPress_BookDetail.Text = row.Press;
			this.lblStatus_BookDetail.Text = row.Status;
			this.lblTranslator_BookDetail.Text = row.Translator;

			//if(this.frmMain.m_IsOnline)
			DataSetUserInfo.USER_INFORow rowUser = this.frmMain.DsUserInfo.USER_INFO.FindByID(row.Owner);
			if(rowUser == null)
			{
				DataSetUserInfo dsui = this.frmMain.m_dataSvc.GetUserDetailInfo(this.frmMain.m_authTicket,row.Owner);
				if(dsui == null)
					return;//error!

				this.frmMain.DsUserInfo.Merge(dsui);

				rowUser = this.frmMain.DsUserInfo.USER_INFO.FindByID(row.Owner);
				if(rowUser == null)
					return;//error
			}

			this.llbOwner_BookDetail.Text = rowUser.UserName;

			this.rtbIndex_BookDetail.Text = row.Contents;
			this.rtbSummary_BookDetail.Text = row.Summary;
		}


	}
}
